MaillyDocs

View the current plan, usage this period, and shared balance

GET
/billing/entitlements

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Response Body

Plan and usage

application/json
  1. response
success*boolean
entitlements*
plans*array<>
sending?
[key: string]?unknown
curl -X GET 'https://api.mailly.site/billing/entitlements'
{  "success": true,  "entitlements": {    "plan": {      "id": "string",      "name": "string",      "source": "subscription",      "price_usd": 0,      "billing_interval": "month",      "status": "string",      "period_start": 0,      "period_end": 0,      "subscription_period_end": 0,      "cancel_at_period_end": true    },    "emails": {      "used": 0,      "quota": 0    },    "mailboxes": {      "used": 0,      "limit": 0    },    "custom_domains": {      "used": 0,      "limit": 0    },    "usage": {      "currency": "USD",      "prepaid_nano": 0,      "email_price_nano": 0,      "email_overage_nano": 0,      "allowance": {        "quota_nano": 0,        "remaining_nano": 0,        "period_end": 0      }    },    "model": {      "billing_enforced": true,      "period_start": 0,      "period_cost_nano": 0,      "period_charged_nano": 0,      "executions": {        "used": 0      }    }  },  "plans": [    {      "id": "string",      "name": "string",      "mailboxes": 0,      "custom_domains": 0,      "monthly_emails": 0,      "daily_recipients": 0,      "price_usd": 0,      "billing_interval": "month",      "usage_allowance_nano": 0,      "available": true    }  ],  "sending": {    "status": "active",    "reason": "auto_bounce",    "paused_at": "string",    "daily_limit": {      "limit": 0,      "used": 0,      "remaining": 0,      "window_hours": 24,      "source": "new_workspace",      "applies_until": "string"    }  },  "property1": null,  "property2": null}